---
title: msCapsLockWarningOff
slug: Web/API/msCapsLockWarningOff
---
<p id="Summary">{{APIRef("HTML DOM")}}</p>

<p>{{Non-standard_header()}}</p>

<p>The <code><strong>msCapsLockWarningOff</strong></code> read/write property turns automatic caps lock warning on or off for validated password input fields.</p>

<p>This proprietary property is specific to Internet Explorer and Microsoft Edge.</p>

<p>Starting with Internet Explorer 10, input type=password fields will automatically display a warning if the caps lock is on. This property enables this warning to be disabled.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: html">document.msCapsLockWarningOff = true;
</pre>

<h2 id="Value">Value</h2>

<p>Type: <strong>boolean</strong></p>

<p><em>False</em>: Default. Automatic caps lock warning is turned on.</p>

<p><em>True</em>: Automatic caps lock warning is turned off.</p>

<h2 id="Example">Example</h2>

<p>Fiddle: <a href="http://jsfiddle.net/jonathansampson/mqcHA/1/">http://jsfiddle.net/jonathansampson/mqcHA/1/</a></p>

<h2 id="Example_2">Example 2</h2>

<pre style="padding: 5px; margin: 0px; font-style: normal; font-weight: 400; overflow: auto; word-wrap: normal; font-family: Consolas, Courier, monospace !important; color: rgb(0, 0, 0); font-size: 13px; letter-spacing: normal; text-align: start; text-indent: 0px; text-transform: none; text-decoration-style: initial;"><span style="color: blue;">&lt;</span><span style="color: #a31515;">html</span><span style="color: blue;">&gt;</span>
<span style="color: blue;">&lt;</span><span style="color: #a31515;">head</span><span style="color: blue;">&gt;</span>
    <span style="color: blue;">&lt;</span><span style="color: #a31515;">title</span><span style="color: blue;">&gt;</span>msCapsLockWarningOff example<span style="color: blue;">&lt;/</span><span style="color: #a31515;">title</span><span style="color: blue;">&gt;</span>
    <span style="color: blue;">&lt;</span><span style="color: #a31515;">script</span> <span style="color: red;">type</span><span style="color: blue;">=</span><span style="color: blue;">"text/javascript"</span><span style="color: blue;">&gt;</span>

        <span style="color: blue;">function</span> capsOff() {
                  <span style="color: blue;">if</span> (document.msCapsLockWarningOff == <span style="color: blue;">false</span>) {
                document.msCapsLockWarningOff = <span style="color: blue;">true</span>;
                document.getElementById(<span style="color: #a31515;">"caps"</span>).innerHTML = <span style="color: #a31515;">"Warning off"</span>;
            } <span style="color: blue;">else</span> {
                document.msCapsLockWarningOff = <span style="color: blue;">false</span>;
                document.getElementById(<span style="color: #a31515;">"caps"</span>).innerHTML = <span style="color: #a31515;">"Warning on"</span>;
            }
        }

    <span style="color: blue;">&lt;/</span><span style="color: #a31515;">script</span><span style="color: blue;">&gt;</span>
<span style="color: blue;">&lt;/</span><span style="color: #a31515;">head</span><span style="color: blue;">&gt;</span>
<span style="color: blue;">&lt;</span><span style="color: #a31515;">body</span><span style="color: blue;">&gt;</span>
<span style="color: blue;">&lt;</span><span style="color: #a31515;">label</span><span style="color: blue;">&gt;</span>Type a password: <span style="color: blue;">&lt;</span><span style="color: #a31515;">input</span> <span style="color: red;">type</span><span style="color: blue;">=</span><span style="color: blue;">"password"</span> <span style="color: blue;">/&gt;</span><span style="color: blue;">&lt;/</span><span style="color: #a31515;">label</span><span style="color: blue;">&gt;</span><span style="color: blue;">&lt;</span><span style="color: #a31515;">br</span> <span style="color: blue;">/&gt;</span>
<span style="color: blue;">&lt;</span><span style="color: #a31515;">button</span> <span style="color: red;">id</span><span style="color: blue;">=</span><span style="color: blue;">"caps"</span> <span style="color: red;">onclick</span><span style="color: blue;">=</span><span style="color: blue;">"capsOff();"</span><span style="color: blue;">&gt;</span>Warning off<span style="color: blue;">&lt;/</span><span style="color: #a31515;">button</span><span style="color: blue;">&gt;</span>
<span style="color: blue;">&lt;/</span><span style="color: #a31515;">body</span><span style="color: blue;">&gt;</span>
<span style="color: blue;">&lt;/</span><span style="color: #a31515;">html</span><span style="color: blue;">&gt;</span></pre>

